USE beispiel
GO
create table mittel_protokoll
    (pr_nr char(4) null,
     benutzer char(16) null,
     zeit datetime null,
     mittel_alt float null,
     mittel_neu float null)
go
create trigger mittel_aendern
     on projekt
     for update as
     if update(mittel)
         begin
        declare @wert_vor float
        declare @wert_danach float
        declare @projekt_nummer char (4)
        select @wert_vor = (select mittel from deleted)
        select @wert_danach = (select mittel from inserted)
        select @projekt_nummer = (select pr_nr from deleted)
        insert into mittel_protokoll values 
          (@projekt_nummer,user_name(),getdate(),@wert_vor,@wert_danach)
        end
go
