USE beispiel
GO
create table bestellung
     (bestell_nr int not null,
      preis money not null,
      menge int not null,
      bestell_datum datetime not null,
      gesamt_preis as preis * menge,
      liefer_datum as dateadd (day, 7, bestell_datum))
go

create view alle_bestellungen
 as select bestell_nr, preis, menge, bestell_datum, gesamt_preis, liefer_datum
     from bestellung
go
create trigger tr_bestellung 
    on alle_bestellungen instead of insert
    as begin
       insert into bestellung
         select bestell_nr, preis, menge, bestell_datum
            from inserted
        end
