USE AdventureWorksDW
SELECT t.MonthNumberOfYear AS month,
       t.CalendarYear      AS year,
       p.ProductKey        AS product_id,
       SUM(f.UnitPrice)    AS sum_of_sales,
       COUNT(f.UnitPrice)  AS total_sales
       FROM DimTime t, DimProduct p, FactInternetSales f
       WHERE t.TimeKey    = f.OrderDateKey AND
             p.ProductKey = f.ProductKey
             AND CalendarYear = @year
       GROUP BY t.CalendarYear, t.MonthNumberOfYear,  p.ProductKey
       ORDER BY 1
